Import Wallet

/api/Wallet/import-wallet

Importing the wallet with the mnemonics you have and get access to your wallet funds.

Load wallet ( API reference )

POST /api/Wallet/import-wallet

Import Wallet with the mnemonics and new wallet name.

Headers

Name
Type
Description

Content-Type

application/json

application/json

Request Body

Name
Type
Description

newWalletName*

String

Enter the new name for the wallet you want to import.

mnemonics*

String

The 12-word mnemonic passphrase separated by space

Authorization*

Bearer <your api key>

attach your API key here

Usev2*

String

Value should be true or yes

Load wallet SDK

Liaas SDK package installation

/** 
 * Import Wallet
**/

//pass your API key or Node URL and the mnemonics
const response = await liaasSdk.importWallet(nodeUrl_or_apiAccessKey, mnemonics, new_wallet_name);

Last updated

Was this helpful?